#Include once "window9.bi"

Function HyperLinkGadget(ByVal gadget As Integer, ByVal x As Integer,ByVal y As Integer,ByVal Width_ As Integer,ByVal height_ As Integer,_
										ByVal stri As String="") As HWND Export
	Static FONT As HFONT : Static flag As bool : Static Cursor As HCURSOR
	If flag=0 Then
		flag=1
		Font=LoadFont("Arial",10,,,,1)
		Cursor=LoadCursor(0,IDC_HAND)
	EndIf	
	Var hhh= CreateWindowEx( 0, "static", stri, WS_VISIBLE Or WS_CHILD Or SS_NOTIFY, x, y, Width_, Height_, GETGURRENTAL(), Cast(HMENU,gadget), 0, 0)
	
	SetClassLong(hhh,GCL_HCURSOR,Cast(Long,Cursor))
	ADDIN9999 (gadget,hhh)
	ColorAdd(hhh,15790320,&hFF0000)
	SendMessage(hhh,WM_SETFONT,Cast(WPARAM,FONT),0)
	Return hhh
End Function
